Skip to content
Ona Docs

GetIDToken

POST/gitpod.v1.IdentityService/GetIDToken

Gets an ID token for authenticating with other services.

Use this method to:

  • Obtain authentication tokens for service-to-service calls
  • Access protected resources
  • Generate scoped access tokens

Examples

  • Get token for single service:

    Retrieves a token for authenticating with one service.

    audience:
      - "https://api.gitpod.io"
  • Get token for multiple services:

    Retrieves a token valid for multiple services.

    audience:
      - "https://api.gitpod.io"
      - "https://ws.gitpod.io"
Body ParametersJSONExpand Collapse
audience: optional array of string
version: optional IDTokenVersion

version is the version of the ID token.

One of the following:
"ID_TOKEN_VERSION_UNSPECIFIED"
"ID_TOKEN_VERSION_V1"
"ID_TOKEN_VERSION_V2"
ReturnsExpand Collapse
token: optional string

GetIDToken

curl https://app.gitpod.io/api/gitpod.v1.IdentityService/GetIDToken \
    -H 'Content-Type: application/json' \
    -H "Authorization: Bearer $GITPOD_API_KEY" \
    -d '{}'
{
  "token": "token"
}
Returns Examples
{
  "token": "token"
}